/*******************************************************************************
 * Copyright (c) 2010- Association for Decentralized Information Management in
 * Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *    VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.databoard.accessor.emit;

import java.util.Collection;

import org.simantics.databoard.accessor.Accessor.Listener;
import org.simantics.databoard.accessor.event.Event;

/**
 * Event Emitter is a strategy how, where and when events are emited and 
 * handled by accessor listeners.  
 *
 * @see CollectingEmitter
 * @see ImmediateEmitter
 * @author Toni Kalajainen <toni.kalajainen@vtt.fi>
 */
public interface EventEmitter {

	void emitEvent(Listener listener, Event event);
	void emitEvents(Listener listener, Collection<Event> events);
	
}

