package org.simantics.databoard.channel;

import org.simantics.databoard.binding.mutable.Variant;
import org.simantics.databoard.type.Datatype;

/**
 * Command specification. 
 * Each command is well known. 
 *
 * @author Toni Kalajainen <toni.kalajainen@iki.fi>
 */
public class CommandSpec {

	public final Variant commandId;
	public final Datatype requestType;
	public final Datatype responseType;
	public final Datatype errorType;
	
	public CommandSpec(Variant commandId, Datatype requestType, Datatype responseType, Datatype errorType) {
		this.commandId = commandId;
		this.requestType = requestType;
		this.responseType = responseType;
		this.errorType = errorType;
	}
	
}
