package org.simantics.databoard.channel;

import java.io.IOException;
import java.util.concurrent.TimeoutException;

/**
 * RequestException is thrown to service requester of CommandChannel when there
 * was a problem fulfilling the request. Typical error is problem with channel state,
 * communication or the service handling.  
 *
 * Cause is (typically) one of these:
 *  o Communication problems {@link IOException}
 *  o Timeout {@link TimeoutException}
 *  o Service handler problem {@link ServiceException} 
 *
 * @author Toni Kalajainen <toni.kalajainen@iki.fi>
 */
public class RequestException extends Exception {

	private static final long serialVersionUID = 1L;

	public RequestException(Throwable cause) {
		super(cause);
	}

}
